Name:           tint2
Version:        17.1.3
Release:        %mkrel 3
Summary:        A Lightweight Panel and Taskbar
License:        GPLv2
Group:          Graphical desktop/Other
Url:            https://gitlab.com/nick87720z/tint2
Source0:        https://gitlab.com/nick87720z/tint2/-/archive/%{version}/%{name}-%{version}.tar.bz2
# A patch posted on my bug report to fix the segfaults seen
# https://gitlab.com/nick87720z/tint2/-/issues/4#note_1454426162
Patch0:         glib.patch
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
#BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-x11-3.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libstartup-notification-1.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(x11)

%description
Tint2 is a simple panel and taskbar intentionally made for
openbox3, but should also work with other window managers. The
goal is to keep a clean and unintrusive look with code
lightweight and compliance with freedesktop specifications.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang tint2conf

rm -rf %{buildroot}%{_docdir}/%{name}/html/

%files -f tint2conf.lang
%doc AUTHORS README.md ChangeLog doc/images/
%doc doc/manual.html doc/readme.html doc/tint2.md
%license COPYING
%dir %{_sysconfdir}/xdg/tint2
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2*
%{_datadir}/tint2/
%{_datadir}/applications/tint2*.desktop
%{_datadir}/mime/packages/tint2*.xml
%{_iconsdir}/hicolor/scalable/*/tint2*.svg
%{_mandir}/man1/*


%changelog
* Sun Aug 11 2024 kekepower <kekepower> 17.1.3-3.mga10
+ Revision: 2085602
- Update glib patch to use g_slist_copy and g_slist_free respectively,
  to be type-consistent

* Mon Jul 03 2023 kekepower <kekepower> 17.1.3-2.mga9
+ Revision: 1963555
- Add a patch to fix the segfaults seen after recent updates to glib2

* Fri Apr 21 2023 kekepower <kekepower> 17.1.3-1.mga9
+ Revision: 1953769
- Update to version 17.1.3
- New maintainer and new links

* Wed Mar 30 2022 umeabot <umeabot> 17.0.2-2.mga9
+ Revision: 1835688
- Mageia 9 Mass Rebuild

* Sun Dec 05 2021 kekepower <kekepower> 17.0.2-1.mga9
+ Revision: 1760774
- Update to version 17.0.2

* Fri Jul 09 2021 kekepower <kekepower> 17.0.1-1.mga9
+ Revision: 1735463
- Update to version 17.0.1

* Wed Apr 28 2021 kekepower <kekepower> 17.0-1.mga9
+ Revision: 1720323
- Update to version 17.0

* Sun Feb 16 2020 daviddavid <daviddavid> 16.7-2.mga8
+ Revision: 1529897
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Jul 15 2019 kekepower <kekepower> 16.7-1.mga8
+ Revision: 1421746
- Update to version 16.7

* Sun Sep 23 2018 umeabot <umeabot> 16.6.1-2.mga7
+ Revision: 1301415
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 kekepower <kekepower> 16.6.1-1.mga7
+ Revision: 1250210
- Update to version 16.6.1

* Fri May 04 2018 kekepower <kekepower> 16.4-1.mga7
+ Revision: 1226116
- Update to version 16.4

* Tue Feb 06 2018 kekepower <kekepower> 16.2-1.mga7
+ Revision: 1199239
- Update to version 16.2

* Fri Jan 12 2018 kekepower <kekepower> 16.1-1.mga7
+ Revision: 1192453
- Update to version 16.1
- Update to version 16.1

* Thu Nov 23 2017 shlomif <shlomif> 15.3-1.mga7
+ Revision: 1179021
- New version 15.3 (thanks to kekePower)

* Sat Jul 22 2017 daviddavid <daviddavid> 0.14.6-1.mga7
+ Revision: 1127911
- new version: 0.14.6

* Sun Mar 05 2017 daviddavid <daviddavid> 0.13-1.mga6
+ Revision: 1088805
- new version: 0.13

* Mon Feb 06 2017 daviddavid <daviddavid> 0.12.12-1.mga6
+ Revision: 1085051
- new version: 0.12.12
- update URL and Source URL
- switch BRs to pkgconfig()

* Thu Feb 04 2016 umeabot <umeabot> 0.11-7.mga6
+ Revision: 934184
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 743538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-5.mga5
+ Revision: 689893
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11-4.mga4
+ Revision: 519635
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.11-3.mga3
+ Revision: 384585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 01 2012 hman <hman> 0.11-2.mga2
+ Revision: 203748
- updated build requires with libgtk+2.0-devel
- imported package tint2

